# Docker Development Guide
## a Youtube Series

Hi! 

This is the source code for the YouTube series covering docker-based development workflows.

## Docker Development Basics

Part #1: The Dockerfiles (.NET, Golang, Python, NodeJS) <br/>
Video:                    https://youtu.be/wyjNpxLRmLg  <br/>
Source code for Part #1:    https://github.com/marcel-dempers/docker-development-youtube-series/tree/part1

Part #2: The code (.NET, Golang, Python, NodeJS) <br/>
Video:                     https://youtu.be/EdmKENqnQUw   <br/>
Source code for Part #2    https://github.com/marcel-dempers/docker-development-youtube-series/tree/part2

Part #3: Docker Multistage explained <br/>
Video:                     https://youtu.be/2lQ7WrwpZfI  <br/>
Source code for Part #2    https://github.com/marcel-dempers/docker-development-youtube-series/tree/part3

Part #4:                   Debugging Golang code in Docker <br/>
Video:                     https://youtu.be/kToyI16IFxs  <br/>
Source code for Part #4    https://github.com/marcel-dempers/docker-development-youtube-series/tree/part4

Part #5:                   Debugging .NET Core code in Docker <br/>
Video:                     https://youtu.be/ds2bud0ZYTY  <br/>
Source code for Part #5    https://github.com/marcel-dempers/docker-development-youtube-series/tree/part5

## Prometheus Monitoring

Let's take a look how to monitor application code using Prometheus.

See the [Prometheus Monitoring](./prometheus-monitoring/readme.md) readme guide for detailed steps

## Kubernetes Development Basics

See the [Kubernetes Guide](./kubernetes/readme.md) readme guide for detailed steps

Part #1                     Kubernetes Getting Started on Windows <br/>
Video:                      https://youtu.be/8h4FoWK7tIA <br/>

Part #2                     Kubernetes kubectl | the basics <br/>
Video:                      https://youtu.be/feLpGydQVio <br/>   

More details coming soon!
